[pytango] 319/483: Updated ci compilation parameters

Sandor Bodo-Merle sbodomerle-guest at moszumanska.debian.org
Thu Sep 28 19:14:55 UTC 2017


This is an automated email from the git hooks/post-receive script.

sbodomerle-guest pushed a commit to annotated tag bliss_8.10
in repository pytango.

commit cdb2bff65288b12fd09e6a505a39c42e2c678af3
Author: cmft <cmft at 4e9c00fd-8f2e-0410-aa12-93ce3db5e235>
Date:   Mon Nov 25 09:19:19 2013 +0000

    Updated ci compilation parameters
    
    git-svn-id: http://svn.code.sf.net/p/tango-cs/code/bindings/PyTango/trunk@24353 4e9c00fd-8f2e-0410-aa12-93ce3db5e235
---
 ci/ESRF/build.sh     | 15 +++++++++------
 ci/ESRF/ct32redhate4 |  1 +
 ci/ESRF/ct64debian6  |  1 +
 ci/ESRF/ct64debian7  |  1 +
 ci/ESRF/ct64redhate5 |  1 +
 5 files changed, 13 insertions(+), 6 deletions(-)

diff --git a/ci/ESRF/build.sh b/ci/ESRF/build.sh
index 987e8c5..f9ba970 100755
--- a/ci/ESRF/build.sh
+++ b/ci/ESRF/build.sh
@@ -31,12 +31,13 @@ case "${realos}" in
         /segfs/bliss/bin/python2.6 setup.py build
         ;;
 	"windows7")
-		pyVersion="py26"
-		platform="Win32"
+		pyVersion="py26, py27"
+		platform="Win32, x64"
 		SLN="C:\jenkins\workspace\PyTango\OperatingSystems\Windows64-VC10\win\PyTango_VS9\PyTango.sln"
 		LIBNAME="PyTango.vcproj"
 		#devenv="C:\Program Files (x86)\Microsoft Visual Studio 9.0\Common7\IDE\devenv.exe" 
 		cd /cygdrive/c
+		/bin/rm -rf /cygdrive/c/Temp/pytango
 		pyVersion="py26"
 		platform="Win32"
 		SLN="C:\jenkins\workspace\PyTango\OperatingSystems\Windows64-VC10\win\PyTango_VS9\PyTango.sln"
@@ -47,7 +48,7 @@ case "${realos}" in
 		   for p in $platform
 		   do
 			   pyN=${pv:2:4}
-			   MODE=$pv"_bopyshared_tangoshared_release|"$p
+			   MODE=$pv"_bopystatic_tangostatic_release|"$p
 			   OUTFILE="c:/Temp/log_${p}_"${pyN}
 			   MAKE_CMD="devenv.exe $SLN /project PyTango.vcproj /rebuild $MODE /projectconfig $MODE /out $OUTFILE"
 			   $MAKE_CMD
@@ -84,9 +85,10 @@ case "${realos}" in
 		;;
     "windows7"*)
 		INSTALL_DIR="//unixhome/segfs/tango/ci/PyTango/windows7"
-		/bin/rm -rf $INSTALL_DIR/*
-        /bin/cp -rf /cygdrive/c/Temp/pytango/build_8.1.0_tg8.1.2_boost1.53.0/lib  $INSTALL_DIR
-		/bin/cp -rf /cygdrive/c/Temp/pytango/build_8.1.0_tg8.1.2_boost1.53.0/dist  $INSTALL_DIR
+		/bin/rm -rf $INSTALL_DIR/* || echo "Error executing rm command"
+        /bin/cp -rf /cygdrive/c/Temp/pytango/build_8.1.0_tg8.1.2_boost1.53.0/lib  $INSTALL_DIR || echo "Error executing cp command, LIB"
+		/bin/cp -rf /cygdrive/c/Temp/pytango/build_8.1.0_tg8.1.2_boost1.53.0/dist  $INSTALL_DIR || echo "Error executing cp command, DIST"
+		/bin/chmod -R 755  $INSTALL_DIR || echo "Error executing chmod command"
         ;;
 	*)
 		echo "Install - Not supporting operating system: " ${OSTYPE}
@@ -99,3 +101,4 @@ exit $?
 
 
 
+
diff --git a/ci/ESRF/ct32redhate4 b/ci/ESRF/ct32redhate4
index 6784345..a3398fb 100644
--- a/ci/ESRF/ct32redhate4
+++ b/ci/ESRF/ct32redhate4
@@ -4,3 +4,4 @@ export OMNI_ROOT=/segfs/tango/release/redhate4
 export TANGO_ROOT=/segfs/tango/release/redhate4
 export NUMPY_ROOT=/segfs/bliss/depot/pythonbliss_5.0/installdir/redhate4/python/lib/python2.6/site-packages/numpy/core
 export LD_LIBRARY_PATH=/segfs/tango/release/redhate4/lib:${LD_LIBRARY_PATH}
+export PKG_CONFIG_PATH=/segfs/tango/release/redhate4/lib/pkgconfig
diff --git a/ci/ESRF/ct64debian6 b/ci/ESRF/ct64debian6
index c828ad6..3b3f030 100644
--- a/ci/ESRF/ct64debian6
+++ b/ci/ESRF/ct64debian6
@@ -4,3 +4,4 @@ export OMNI_ROOT=/segfs/tango/release/debian6
 export TANGO_ROOT=/segfs/tango/release/debian6
 export NUMPY_ROOT=/usr/lib/pymodules/python2.6/numpy/core
 export LD_LIBRARY_PATH=/segfs/tango/release/debian6/lib:${LD_LIBRARY_PATH}
+export PKG_CONFIG_PATH=/segfs/tango/release/debian6/lib/pkgconfig
diff --git a/ci/ESRF/ct64debian7 b/ci/ESRF/ct64debian7
index 7b2ddac..cbe5469 100644
--- a/ci/ESRF/ct64debian7
+++ b/ci/ESRF/ct64debian7
@@ -5,3 +5,4 @@ export OMNI_ROOT=/bliss/users/falconto/install/install_dir/tango8
 export TANGO_ROOT=/bliss/users/falconto/install/install_dir/tango8
 export ZMQ_ROOT=/bliss/users/falconto/install/install_dir/zmq
 export LD_LIBRARY_PATH=/bliss/users/falconto/install/install_dir/tango8/lib:/bliss/users/falconto/install/install_dir/zmq/lib:$LD_LIBRARY_PATH
+export PKG_CONFIG_PATH=/bliss/users/falconto/install/install_dir/tango8/lib/pkgconfig
diff --git a/ci/ESRF/ct64redhate5 b/ci/ESRF/ct64redhate5
index 7598fdd..dc91f7b 100644
--- a/ci/ESRF/ct64redhate5
+++ b/ci/ESRF/ct64redhate5
@@ -4,3 +4,4 @@ export OMNI_ROOT=/segfs/tango/release/redhate5
 export TANGO_ROOT=/segfs/tango/release/redhate5
 export NUMPY_ROOT=/segfs/bliss/depot/pythonbliss_5.0/installdir/redhate5/python/lib/python2.6/site-packages/numpy/core
 export LD_LIBRARY_PATH=/segfs/tango/release/redhate5/lib:${LD_LIBRARY_PATH}
+export PKG_CONFIG_PATH=/segfs/tango/release/redhate5/lib/pkgconfig

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pytango.git



More information about the debian-science-commits mailing list